package jp.co.sds_corp.util.remote;

import java.io.Serializable;

/**
* RMIの認証キーを管理します。
*/
public final class AuthKey implements Serializable
{
	private byte[]	key;
	private String	user;
	private String	passwd;

	/**
	* RMI認証キーを初期化します。
	* @param	aKey	キー
	*/
	public AuthKey( byte[] aKey ) {
		this.key = aKey;
	}

	/**
	* RMI認証キーを初期化します。
	* @param	user	ユーザID
	* @param	passwd	パスワード
	*/
	public AuthKey( String user, String passwd ) {
		// @@@ データは暗号化して保持しなくちゃ
		this.user = user;
		this.passwd = passwd;
		// @@@ キーを作らなきゃ
	}
}
