package	jp.co.sds_corp.util.daemon.manager;

/**
* デーモンクラスの定義です。
*/
public interface JMXManagerMBean
{
	/**
	* 全てのデーモンを開始します。
	*/
	void start() throws Exception;

	/**
	* 全てのデーモンを停止します。
	*/
	void stop() throws Exception;

	/**
	* 全てのデーモンを停止して、デーモンマネージャーを終了します。
	*/
	void quit() throws Exception;

}
